CONFIG += c++14
CONFIG += debug
#CONFIG += release

CONFIG(debug, debug|release) {
	message( "~debug~" )
	DEFINES += DEBUG
}
CONFIG(release, debug|release) {
	message( "~release~" )
}

TEMPLATE = app
TARGET = QtBank
VPATH += ./src

QT += core gui serialport sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

HEADERS += \
	account.h \
	accountpage.h \
	balancepage.h \
	card.h \
	db.h \
	homepage.h \
	log.h \
	loginpage.h \
	mainwindow.h \
	serial.h \
	serialcommand.h \
	transaction.h \
	transferpage.h \
	user.h \
	withdrawpage.h
SOURCES += main.cpp \
	account.cpp \
	accountpage.cpp \
	balancepage.cpp \
	card.cpp \
	db.cpp \
	homepage.cpp \
	log.cpp \
	loginpage.cpp \
	mainwindow.cpp \
	serial.cpp \
	serialcommand.cpp \
	transaction.cpp \
	transferpage.cpp \
	user.cpp \
	withdrawpage.cpp
FORMS += \
	mainwindow.ui
