#include "account.h"
#include "balancepage.h"
#include "mainwindow.h"
#include "ui_mainwindow.h"

BalancePage::BalancePage() {
}

BalancePage::~BalancePage() {
}

void BalancePage::setup(MainWindow *mainWindow, Account *account) {
	m_mainWindow = mainWindow;
    m_account = account;

	connect(this, &BalancePage::emitUpdateActiveIndex, m_account, &Account::updateActiveIndex);
	connect(m_account, &Account::emitLoadBalance, this, &BalancePage::loadBalance);
}

void BalancePage::onFocus() {
	emit emitUpdateActiveIndex();
}

void BalancePage::loadBalance(QString currency) {
    m_mainWindow->getUi()->balanceLabel->setText("Current balance is: " + currency);
}
