#ifndef BALANCEPAGE_H
#define BALANCEPAGE_H

#include <QWidget>

class MainWindow;
class Account;

class BalancePage : public QWidget
{
	Q_OBJECT

public:
	BalancePage();
	~BalancePage();
	void setup(MainWindow *mainWindow, Account *account);
    void onFocus();

signals:
	void emitUpdateActiveIndex();

public slots:
    void loadBalance(QString);

private slots:

private:
	MainWindow *m_mainWindow;
    Account *m_account;

};

#endif
