#ifndef TRANSFERPAGE_H
#define TRANSFERPAGE_H

#include <QWidget>

class MainWindow;
class Account;
class Transaction;

class TransferPage : public QWidget
{
	Q_OBJECT

public:
	TransferPage();
	~TransferPage();
	void setup(MainWindow *mainWindow, Account *account, Transaction *transaction);
    void onFocus();
	void loadAccounts();

signals:

public slots:
	void selectElement(bool);
	void selectAccount(int);
	void numberEntered(qint64);
	void transferAttempt(bool, QString);

private slots:

private:
	MainWindow *m_mainWindow;
    Account *m_account;
	Transaction *m_transaction;

};

#endif

