#ifndef LOGINPAGE_H
#define LOGINPAGE_H

#include <QWidget>

class MainWindow;
class Card;
class User;

class LoginPage : public QWidget
{
	Q_OBJECT

public:
	LoginPage();
	~LoginPage();
	void setup(MainWindow *mainWindow, Card *card, User *user);
	void onFocus();

signals:

public slots:
	void deselectPinDisplay();
	void cardDetected(bool);
	void pinEntered(int);
	void wrongPin(bool, QString);
	void userLogin();

private:
	MainWindow *m_mainWindow;
	Card *m_card;
	User *m_user;

};

#endif
