#ifndef WITHDRAWPAGE_H
#define WITHDRAWPAGE_H

#include <QWidget>

class MainWindow;
class Account;
class Transaction;

class WithdrawPage : public QWidget
{
	Q_OBJECT

public:
	WithdrawPage();
	~WithdrawPage();
	void setup(MainWindow *mainWindow, Account *account, Transaction *transaction);
    void onFocus();

signals:

public slots:
	void numberEntered(qint64);
	void withdrawAttempt(bool, QString);

private slots:

private:
	MainWindow *m_mainWindow;
    Account *m_account;
	Transaction *m_transaction;

};

#endif
